ifenslave (2.10) unstable; urgency=medium

  * Drop the transitional ifenslave-2.6 packages. Closes: #878601
  * Update Vcs-* links to point to Salsa.
  * Add support for tlb_dynamic_lb: Closes: #926881
  * Remove the ifenslave binary, use iproute2 instead.
  * Fix typo in bonding example. Closes: #914308
  * Bump Standards-Version.
  * Remove debian/compat, use Build-Depends: debhelper-compat instead.
  * Set Rules-Requires-Root: no.

 -- Guus Sliepen <guus@debian.org>  Sun, 26 Apr 2020 21:09:15 +0200

ifenslave (2.9) unstable; urgency=medium

  [ Peter Pentchev ]
  * Brown paper bag: fix the correct check for detaching interfaces,
    this time really closing #838918 and unbreaking attachment, too.

 -- Guus Sliepen <guus@debian.org>  Tue, 27 Sep 2016 16:46:21 +0200

ifenslave (2.8) unstable; urgency=medium

  [ Peter Pentchev ]
  * Fix detaching interfaces after the /slave_ to /lower_ change
    (Closes: #838918, LP: #1298325).
  * Declare compliance with version 3.9.8 of the Debian Policy Manual.
  * Fix some typographical and grammatical errors.
  * Switch to the HTTPS scheme for the VCS and copyright format URLs.
  * Switch to cgit for the Vcs-Browser field.
  * Bump the debhelper compatibility version to 10 with no changes.
  * Stop suggesting that bugs be filed against ifenslave-2.6 when
    the package name is ifenslave now.

 -- Guus Sliepen <guus@debian.org>  Tue, 27 Sep 2016 14:24:35 +0200

ifenslave (2.7) unstable; urgency=low

  * Fix change in /sys/class/net/{bond}/slave_ naming after k3.13
    (Closes: #791906). Thanks, Louis Bouchard.
  * Standards-Version: 3.9.6.

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 13 Jul 2015 21:02:29 +1000

ifenslave (2.6) unstable; urgency=low

  * Added support for "packets_per_slave" option in interface stanza
    (Closes: #758913); Thanks, John Holland.
  * README.Debian:
    + added note regarding "udev renaming issue".
    + added "see also" note with link to "Bonding" section of wiki.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 31 Aug 2014 11:05:09 +1000

ifenslave (2.5) unstable; urgency=low

  * "ifupdown (>= 0.7.46)" compatibility update (Closes: #742410).
    Thanks to Andrew Shadura.
  * Added versioned Depends on "ifupdown (>= 0.7.46)".

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 24 Mar 2014 18:26:30 +1100

ifenslave (2.4) unstable; urgency=medium

  * Added "ifenslave-2.6.prerm" to remove dangling alternatives
    (Closes: #736668).
    Thanks to Andreas Beckmann.

 -- Dmitry Smirnov <onlyjob@debian.org>  Tue, 11 Feb 2014 01:35:29 +1100

ifenslave (2.3) unstable; urgency=medium

  * Added transitional package "ifenslave-2.6" and corresponding
    Breaks/Replaces (Closes: #735614).
    Thanks, Andreas Beckmann.

 -- Dmitry Smirnov <onlyjob@debian.org>  Fri, 17 Jan 2014 12:14:14 +1100

ifenslave (2.2) unstable; urgency=medium

  * Rebase on top of "ifenslave-2.6 (1.1.0-21)".
  * Added retrospective changelog entry.
  * Removed obsolete lintian-override.
  * Removed "${shlibs:Depends}" from Depends.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 12 Jan 2014 07:43:57 +1100

ifenslave (2.1) unstable; urgency=low

  [ Dmitry Smirnov ]
  * Package and binary renamed to "ifenslave"
  * No longer provide alternatives but still ship ifenslave-2.6
    (symlink) for backward compatibility.
  * Converted to native package; added lintian-override.
  * Updated package description.
  * "debian/copyright" to copyright-format-1.0.
  * Debhelper & compat to version 9.
  * Standards to 3.9.5.
  * Source package compression to ".xz".
  * Removed obsolete ifenslave-2.4 from Conflicts.
  * Depend on "iproute2" instead of transitional "iproute" (Closes: #715382).
  * Added "ifupdown" to Depends.
  * Multi-Arch: foreign.
  * Added VCS links.
  * Added myself to Uploaders.

  [ Guus Sliepen ]
  * Replace ifenslave binary with a tiny shell script.
  * Let dh_installifupdown install the if-up/down scripts.
  * Conflict with ifenslave-2.6.
  * Change license of everything to GPL-3+.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 10 Nov 2013 11:53:25 +1100

ifenslave-2.6 (1.1.0-21) unstable; urgency=low

  [ Jonas Genannt ]
  * d/pre-up: bond-primary does not apply (Closes: #699445)
    Moved setting primary into own function and call it after enslave_slaves

  [ Guus Sliepen ]
  * Explicitly mention that 3.x kernels are also supported. Closes: #697454
  * Bump Standards-Version.
  * Enable hardening.
  * Fix unsafe use of printf() and fprintf() found by the hardening flags.

 -- Guus Sliepen <guus@debian.org>  Tue, 19 Feb 2013 14:43:29 +0100

ifenslave-2.6 (1.1.0-20) unstable; urgency=low

  * Use dashes consistently for bonding options in README.Debian.
    Closes: #639244
  * Enslave slaves only after fully setting up the master. Closes: #641250
  * Add build-arch and build-indep targets to debian/rules.

 -- Guus Sliepen <guus@debian.org>  Mon, 14 Nov 2011 11:36:21 +0100

ifenslave-2.6 (1.1.0-19) unstable; urgency=low

  * Don't bother trying to move configuration files anymore. This is not an
    issue anymore in for the next stable release, and it was broken anyway.
    Closes: #626959
  * Bump Standards-Version.

 -- Guus Sliepen <guus@debian.org>  Wed, 25 May 2011 18:42:32 +0200

ifenslave-2.6 (1.1.0-18) experimental; urgency=low

  * Apply patch from Nicolas de Pesloüan:

    - Major change: Check and fix the order in which the configuration is
      written into /sys files, to ensure reliable results, according to the
      tests done in the kernel (in drivers/net/bonding/bond_sysfs.c).
    - Ensure that master is properly brought down when changing a parameter
      that require it to be down.
    - Ensure the master is brought up at the end of the setup, in the case
      where ifup won't bring it up because it is currently configuring a slave.
    - Add support for some previously unsupported /sys files: ad_select,
      num_grat_arp, num_unsol_na, primary_reselect and queue_id.
    - Enhance the documentation (README.Debian), to describe all the currently
      supported bond-* options.
    - Many other changes in the documentation.
    - Reverse the order of the arguments to most sysfs_* internal functions, for
      better readability.

  * Upload to experimental due to the freeze.

 -- Guus Sliepen <guus@debian.org>  Tue, 21 Dec 2010 12:46:04 +0100

ifenslave-2.6 (1.1.0-17) unstable; urgency=low

  * Only build ifenslave on Linux.

 -- Guus Sliepen <guus@debian.org>  Sun, 04 Jul 2010 11:00:05 +0200

ifenslave-2.6 (1.1.0-16) unstable; urgency=low

  * Apply patches from Vagrant Cascadian:

    - Do not try to move config files on a fresh install. Closes: #499922
    - Do not try to move config files from wireless-tools. Closes: #587992

  * Bump Standards-Version.
  * Add ${misc:Depends}.

 -- Guus Sliepen <guus@debian.org>  Sun, 04 Jul 2010 10:16:16 +0200

ifenslave-2.6 (1.1.0-15) unstable; urgency=low

  * Adopt 3.0 (quilt) format.
  * Ensure existing up and down scripts from 1.1.0-6 and earlier are properly
    moved to pre-up and pre-down, so they don't trigger a conflict message from
    dpkg. Closes: #499922
  * Add slaves after configuring master. Closes: #558097, #559879

 -- Guus Sliepen <guus@debian.org>  Fri, 18 Dec 2009 13:32:44 +0100

ifenslave-2.6 (1.1.0-14) unstable; urgency=low

  * Apply patch from Nicolas de Pesloüan:

    - Properly cleanup arp_ip_target on ifdown and suppress possible
      duplicate arp_ip_target on ifup. Closes: #521317.
    - Fix a verbosity bug when calling ifdown for slaves.
    - Don't modprobe for interface name before modprobe'ing for bonding.
      This was expected to give a chance to alias and alias'option but was
      found to be unreliable. Alias and aliases'options would be used
      only for the first bonding interface loaded because the bonding
      module is not loaded twice. Anyway, using module parameters for
      bonding is now deprecated and replaced by sysfs. Use bond-* options
      in /etc/network/interfaces instead.
    - When using ifup on a master, call ifup automatically on slaves that have
      an allow-<master interface name> stanza.
    - Reduce the time necessary for bond-give-a-chance to detect that the
      wifi link is up and running.
    - Enhance documentation and examples.

 -- Guus Sliepen <guus@debian.org>  Tue, 25 Aug 2009 14:30:06 +0200

ifenslave-2.6 (1.1.0-13) unstable; urgency=low

  * Apply patch from Nicolas de Pesloüan:

    - Manage primary change not only in if-pre-up.d/ifenslave but also
      in if-post-down.d/ifenslave.
    - Move $VERBOSITY test (in if-post-down.d/ifenslave) outside of the
      slave loop, because VERBOSITY won't change inside the loop.
    - After ifdown of a slave, ensure slave is still enslaved before
      forcing it to be free. (This remove a warning in syslog).
    - Fix a typo in a comment in if-pre-up.d/ifenslave.
    - Fix a variable name error in an error message in
      if-pre-up.d/ifenslave.
    - Use /sys/class/net/<slavename>/master/bonding/primary instead of
      /sys/class/net/<mastername>/bonding/primary to get the name of
      current primary, for "bond-give-a-chance" (in if-up.d/ifenslave).
      This remove the mandatory "bond-master" requirement.
    - Enhance README.Debian.

 -- Guus Sliepen <guus@debian.org>  Mon, 25 May 2009 17:13:23 +0200

ifenslave-2.6 (1.1.0-12) unstable; urgency=low

  * Replace pre-up and post-down scripts with new ones provided by Nicolas de
    Pesloüan:

    - Add a VERBOSE mode, with set -x, for debugging purpose.
    - Suppress any reference to /sbin/ifenslave. Write to
      /sys/class/net/*/bonding/slaves instead. /sbin/ifenslave is now useless
      from the ifupdown point of view.
    - modprobe for $IFACE before modprobe bonding, to give a chance to alias
      and alias'options in /etc/modprobe.conf or /etc/modprobe.d/* .
    - Add a new option bond-active-slave and a new usage of
      bond-primary.
    - Add a new option bond-master. Using this option, one is able
      to postpone enslavement of a slave at the time the slave
      becomes available (due to hotplug or for administrative reasons).
    - Add a new option bond-slaves, as an alias (and possibly a replacement)
      for option slaves. Every options related to bonding should start with
      bond-.
    - Add a comment about the "none" value of (bond-)slaves option.
    - Add a comment about a possible way to do more generic option management.
    - Remove any current master-slave relationship (with master if the
      interface is a slave and with all the currently enslaved slaves if the
      interface is a master), instead of relying on the configuration in
      /etc/network/interfaces.

 -- Guus Sliepen <guus@debian.org>  Tue, 17 Mar 2009 18:16:44 +0100

ifenslave-2.6 (1.1.0-11) unstable; urgency=low

  * Apply patch from Rene Larsen adding bond_arp_validate, bond_use_carrier
    and bond_fail_over_mac options to /etc/network/interfaces. Closes: #488732

 -- Guus Sliepen <guus@debian.org>  Tue, 29 Jul 2008 14:27:16 +0200

ifenslave-2.6 (1.1.0-10) unstable; urgency=low

  * Apply patch from Scott Barker forcing explicitly mentioned interfaces to
    always be enslaved, even if they have been brought up already.
    Closes: #471769

 -- Guus Sliepen <guus@debian.org>  Sun, 01 Jun 2008 18:11:36 +0200

ifenslave-2.6 (1.1.0-9) unstable; urgency=low

  * Apply patch from Nicolas de Pesloüan allowing multiple arguments to
    bond_arp_ip_target and writing them properly to sysfs. Closes: #480749

 -- Guus Sliepen <guus@debian.org>  Mon, 19 May 2008 11:29:26 +0200

ifenslave-2.6 (1.1.0-8) unstable; urgency=low

  * Apply patch from Guido Guenther allowing bonding device options normally
    available via the sysfs interface to be set in /etc/network/interfaces.
    Closes: #456952

 -- Guus Sliepen <guus@debian.org>  Thu, 20 Dec 2007 14:07:01 +0100

ifenslave-2.6 (1.1.0-7) unstable; urgency=low

  * Move scripts from if-up and if-down to if-pre-up and if-post-down again,
    but bring the bonding interface up in if-pre-up. Closes: #422566

 -- Guus Sliepen <guus@debian.org>  Tue, 08 May 2007 11:09:26 +0200

ifenslave-2.6 (1.1.0-6) unstable; urgency=low

  * Move scripts from if-pre-up and if-post-down to if-up and if-down.

 -- Guus Sliepen <guus@debian.org>  Mon, 17 Oct 2005 00:48:26 +0200

ifenslave-2.6 (1.1.0-5) unstable; urgency=low

  * Add if-pre-up and if-post-down scripts to enslave and detach interfaces.
    Closes: #306993.

 -- Guus Sliepen <guus@debian.org>  Fri, 30 Sep 2005 14:33:46 +0200

ifenslave-2.6 (1.1.0-4) unstable; urgency=medium

  * Drop Conflict with kernel-image-2.4 and newer ifenslave-2.4 packages.
    Closes: #270416
  * Use alternatives to allow this package to coexist with ifenslave-2.4.
  * Move ifenslave to /sbin to allow network to be properly configured
    before mounting /usr over NFS. Closes: #257284

 -- Guus Sliepen <guus@debian.org>  Fri, 17 Sep 2004 14:01:36 +0200

ifenslave-2.6 (1.1.0-3) unstable; urgency=low

  * Conflict, Replace and Provide ifenslave. Closes: #255287

 -- Guus Sliepen <guus@debian.org>  Fri, 25 Jun 2004 21:35:31 +0000

ifenslave-2.6 (1.1.0-2) unstable; urgency=low

  * Change package name to reflect it only works with 2.6.x kernels.
    See also #247844.

 -- Guus Sliepen <guus@debian.org>  Sun, 16 May 2004 12:26:06 +0200

ifenslave (1.1.0-1) unstable; urgency=low

  * New upstream release (kernel 2.6.5). Closes: #242670

 -- Guus Sliepen <guus@debian.org>  Fri,  9 Apr 2004 14:31:50 +0200

ifenslave (0.07-1) unstable; urgency=low

  * Initial release. Closes: #100760
  * Merged with several patched versions of the same source.
  * Created manpage.

 -- Guus Sliepen <guus@sliepen.warande.net>  Wed, 13 Jun 2001 09:31:56 +0200
